summaryrefslogtreecommitdiff
path: root/standalone/windows/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'standalone/windows/build.sh')
-rwxr-xr-xstandalone/windows/build.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/standalone/windows/build.sh b/standalone/windows/build.sh
index f43f041d2..6f29227f2 100755
--- a/standalone/windows/build.sh
+++ b/standalone/windows/build.sh
@@ -100,6 +100,12 @@ Build/BuildVersion > dist/build-version
PATH="$(pwd)/dist/build/git-annex/:$PATH"
export PATH
mkdir -p c:/WINDOWS/Temp/git-annex-test/
+oldpwd="$(pwd)"
cd c:/WINDOWS/Temp/git-annex-test/
rm -rf .t
-withcyg git-annex.exe test
+if ! withcyg git-annex.exe test; then
+ # For some reason a nonzero exit is not propigated out of this
+ # shell script from the test suite. Instead, delete the build
+ # artifact, to prevent a bad one being uploaded.
+ rm -f "$oldpwd/git-annex-installer.exe"
+fi